%define upstream_version 0.9.5
%if 0%{?fedora} >= 24
%global with_python3 1
%endif

# Disable docs while openstackdocstheme is packaged
%global with_doc 0

%global pypi_name openstacksdk

Name:           python-%{pypi_name}
Version: 0.9.5
Release: 0.20160902093405.d7ee3ad%{?dist}
Provides: python2-openstacksdk = %{version}-%{release}
Summary:        An SDK for building applications to work with OpenStack

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0: openstacksdk-0.9.5-0.20160902093405.d7ee3ad-d7ee3ad86bcb47b7aae87a1224c861447ec8961b.tar.gz
BuildArch:      noarch


Requires:       python-iso8601 >= 0.1.11
Requires:       python-keystoneauth1
Requires:       python-os-client-config
Requires:       python-oslo-utils
Requires:       python-six
Requires:       python-stevedore
BuildRequires:  python2-devel
BuildRequires:  python-pbr >= 1.8
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-requests
BuildRequires:  python-keystoneauth1
BuildRequires:  python-oslo-utils
BuildRequires:  python-os-client-config
BuildRequires:  python-coverage
BuildRequires:  python-iso8601 >= 0.1.11
BuildRequires:  python-subunit
BuildRequires:  python-os-testr
BuildRequires:  python-mock
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
%description
A collection of libraries for building applications to work with OpenStack
clouds.

%package -n python-%{pypi_name}-tests
Provides: python2-%{pypi_name}-tests = %{version}-%{release}
Summary:        An SDK for building applications to work with OpenStack - test files

Requires: python-%{pypi_name} = %{version}-%{release}

%description -n python-%{pypi_name}-tests
A collection of libraries for building applications to work with OpenStack
clouds - test files


%if 0%{?with_python3}
%package -n python3-%{pypi_name}
Summary:        An SDK for building applications to work with OpenStack
%{?python_provide:%python_provide python3-%{pypi_name}}
 
BuildRequires:  python3-devel
BuildRequires:  python3-pbr >= 1.8
BuildRequires:  python3-sphinx
BuildRequires:  python3-oslo-sphinx
BuildRequires:  python3-requests
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-oslo-utils
BuildRequires:  python3-os-client-config
# Test requirements
BuildRequires:  python3-coverage
BuildRequires:  python3-subunit
BuildRequires:  python3-os-testr
BuildRequires:  python3-mock
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools

Requires:       python3-keystoneauth1
Requires:       python3-os-client-config
Requires:       python3-oslo-utils
Requires:       python3-six
Requires:       python3-stevedore

%description -n python3-%{pypi_name}
A collection of libraries for building applications to work with OpenStack
clouds.

%package -n python3-%{pypi_name}-tests
Summary:        An SDK for building applications to work with OpenStack - test files

Requires: python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-tests
A collection of libraries for building applications to work with OpenStack
clouds - test files

%endif


%if 0%{?with_doc}
%package -n python-%{pypi_name}-doc
Summary:        An SDK for building applications to work with OpenStack - documentation

%description -n python-%{pypi_name}-doc
A collection of libraries for building applications to work with OpenStack
clouds - documentation.
%endif

%prep
%autosetup -n %{pypi_name}-%{upstream_version}

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"

%if 0%{?with_python3}
%{py3_build}
%endif

%if 0%{?with_doc}
# generate html docs 
sphinx-build -b html doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}

%if 0%{?with_python3}
%{py3_install}
%endif


%check
%{__python2} setup.py test

%if 0%{?with_python3}
rm -rf .testrepository
%{__python3} setup.py test
%endif


%files -n python-%{pypi_name}
%doc README.rst
%license LICENSE
%{python2_sitelib}/openstack
%{python2_sitelib}/%{pypi_name}-*.egg-info
%exclude %{python2_sitelib}/openstack/tests

%files -n python-%{pypi_name}-tests
%{python2_sitelib}/openstack/tests

%if 0%{?with_doc}
%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE
%endif

%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/openstack
%{python3_sitelib}/%{pypi_name}-*.egg-info
%exclude %{python3_sitelib}/openstack/tests

%files -n python3-%{pypi_name}-tests
%{python3_sitelib}/openstack/tests
%endif

%changelog
